# INSTALLS ANSIBLE'S HOST AND PLAYBOOK FILES ON HOST MACHINE
# 
class ansible_config::ansible_setup {

  $ansible_hosts_file = 'puppet:///modules/ansible_config/hosts'
  $ansible_playbook = 'puppet:///modules/ansible_config/playbook.yml'

  file { '/etc/ansible':
    ensure  => directory
  }
  file { '/etc/ansible/hosts':
    ensure  => file,
    recurse => true,
    replace => 'yes',
    owner   => root,
    group   => root,
    source  => ($ansible_hosts_file)
    }
  file { '/etc/ansible/playbook.yml':
    ensure  => file,
    replace => 'yes',
    owner   => root,
    group   => root,
    source  => ($ansible_playbook)
    }
}
